# Copyright (c) 2008, Christopher Cowart and contributors
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# * Redistributions of source code must retain the above copyright 
#   notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright 
#   notice, this list of conditions and the following disclaimer in the 
#   documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# $Id: confadmindoc.sh 459 2009-10-06 23:40:31Z blee $
#
# This is a confman shell library that provides usage and help information.
# I wanted to get it out of the main script, cause it's really long. This also
# makes modularizing the code (think foreign languages) in the future.

function print_usage {
cat <<EOF
$MYNAME configures confman

Usage:
  $MYNAME [ help | -h ] [ command ]
  $MYNAME setup

For specific information on a particular $MYNAME subcommand, please run
  $MYNAME help subcommand

eg: $MYNAME help rollback

EOF

conf_cleanExit $1
}

function print_help {
    [ -z "$1" ] && print_usage 0

  case $1 in
	  se* )
cat <<EOF
$MYNAME manages configuration files

Usage:
  $MYNAME setup

The setup command can be used to initialize a subversion repository for
use by confman. Be sure to read the instructions in confadmin(8).

EOF
;;
	  * )
print_usage 1
;;
esac
return 0
}
